//---------------------------------------------------------------------------
#pragma once
#include "XlsPtr.h"
#include "XlsBase.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CFormat : public CBase
{
	friend class CWorksheet;
	friend class CObject;
public:
	CFormat& operator=( const CFormat& rh);
    bool operator==( const CFormat& rh) const;
    bool operator!=( const CFormat& rh) const;
public:
	void		 SetFormatString( const char* lpszString);
	const char*  GetFormatString();
	const WCHAR* GetFormatStringW();
private:
    CFormat(void* pimpl);
    ~CFormat();
private:
    CFormat( const CFormat&);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
