//---------------------------------------------------------------------------
#pragma once
#include "XlsPtr.h"
#include "XlsBase.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CObject : public CBase
{
	friend class CWorksheet;
	friend class CWorkbook;
public:
    bool operator==( const CObject& rh) const;
    bool operator!=( const CObject& rh) const;
public:
    virtual TFontPtr     Font();
    virtual TFormatPtr   Format();
    virtual TInteriorPtr Interior();
protected:
    CObject(void* pimpl);
    ~CObject();
private:
    CObject( const CObject&);
    CObject& operator=( const CObject&);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
