//---------------------------------------------------------------------------
#pragma once
// please, read the next comments
#include <intrusive_ptr_standalone.hpp>
// comment out the previous line and
// uncomment and adapt accordingly the following line if you are using Boost library:
//
// #include <boost\intrusive_ptr.hpp>
//
#include "XlsCommon.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
namespace Xls
{
	class CBase;
	class CFont;
	class CFormat;
	class CInterior;
	class CObject;
	class CRange;
	class CWorksheet;
	class CWorksheets;
	class CWorkbook;
	class CWorkbooks;
	class CApplication;

	typedef boost::intrusive_ptr<CBase       >    TBasePtr;
	typedef boost::intrusive_ptr<CFont       >    TFontPtr;
	typedef boost::intrusive_ptr<CFormat     >    TFormatPtr;
	typedef boost::intrusive_ptr<CInterior   >    TInteriorPtr;
	typedef boost::intrusive_ptr<CObject     >    TObjectPtr;
	typedef boost::intrusive_ptr<CRange      >    TRangePtr;
	typedef boost::intrusive_ptr<CWorksheet  >    TWorksheetPtr;
	typedef boost::intrusive_ptr<CWorksheets >    TWorksheetsPtr;
	typedef boost::intrusive_ptr<CWorkbook   >    TWorkbookPtr;
	typedef boost::intrusive_ptr<CWorkbooks  >    TWorkbooksPtr;
	typedef boost::intrusive_ptr<CApplication>    TApplicationPtr;
}
//---------------------------------------------------------------------------
void EXPORT_IMPORT_DirectXLS	intrusive_ptr_add_ref(Xls::CBase* p);
void EXPORT_IMPORT_DirectXLS	intrusive_ptr_release(Xls::CBase* p);
//---------------------------------------------------------------------------
